Reddit
Get Reddit profile and archive metadata
POST
/
tools
/
reddit
/
profile
Get Reddit profile and archive metadata
curl --request POST \
--url https://api.osint.ly/tools/reddit/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": "spez",
"type": "username",
"limit": 100
}
'import requests
url = "https://api.osint.ly/tools/reddit/profile"
payload = {
"value": "spez",
"type": "username",
"limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: 'spez', type: 'username', limit: 100})
};
fetch('https://api.osint.ly/tools/reddit/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": "reddit",
"operation": "search",
"query": {
"value": "spez",
"type": "username",
"normalizedType": "username"
},
"data": {
"valid": true,
"status": "validated"
},
"meta": {
"timestamp": "2026-09-09T00:00:00.000Z"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request body",
"details": [
{
"path": "value",
"message": "Invalid value"
}
]
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Unauthorized",
"details": "A valid API key is required"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "PLAN_FEATURE_REQUIRED",
"message": "Plan feature required",
"details": "Tools require a paid API subscription with the tools feature enabled"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Not found"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"savedResult": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
}
}{
"error": {
"code": "PROVIDER_ERROR",
"message": "Data unavailable"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"savedResult": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>"
}
}
}{
"error": {
"code": "PROVIDER_TIMEOUT",
"message": "Request timed out"
},
"meta": {
"timestamp": "2026-06-28T12:00:00.000Z"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Reddit username, u/, @, or Reddit profile URL.
Required string length:
3 - 256Example:
"spez"
Canonical Reddit search type or accepted alias.
Available options:
username, pseudonym, reddit, u, user Example:
"username"
ISO date or Unix timestamp lower bound.
ISO date or Unix timestamp upper bound or pagination cursor.
Maximum string length:
200Required range:
1 <= x <= 100Available options:
asc, desc, score Maximum string length:
64Used on /all and /profile to save the synchronous response. /lookup always saves, regardless of this flag.
For /feed: existing owned saved profile ID to complete under the same ID.
Was this page helpful?
⌘I
Get Reddit profile and archive metadata
